# List Transcriptions

In order to retrieve all transcriptions in your workspace you can use this request.

## List transcriptions

> List transcriptions

```json
{"openapi":"3.0.3","info":{"title":"Voice","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryLimit":{"name":"limit","description":"Limits the number of results to return","in":"query","schema":{"type":"integer","minimum":1,"maximum":99,"default":10}},"queryCursor":{"name":"pageToken","description":"Pagination token that keeps of track of the current position in the list","in":"query","schema":{"type":"string","maxLength":8000}}},"schemas":{"TranscriptionsList":{"type":"object","title":"TranscriptionsList","description":"A list of transcriptions","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Transcription"}}}},"Transcription":{"type":"object","additionalProperties":false,"properties":{"id":{"$ref":"#/components/schemas/transcriptionId"},"recordingId":{"$ref":"#/components/schemas/recordingId"},"status":{"$ref":"#/components/schemas/TranscriptionStatus"},"stereo":{"type":"boolean"},"locale":{"$ref":"#/components/schemas/SupportedLocales"},"url":{"type":"string"},"summary":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","recordingId","status","stereo","locale","createdAt","updatedAt"]},"transcriptionId":{"title":"Transcription ID","description":"The ID for the transcription.","type":"string","format":"uuid"},"recordingId":{"title":"Recording ID","description":"The ID for the recording.","type":"string","format":"uuid"},"TranscriptionStatus":{"type":"string","enum":["accepted","ongoing","available","absent","failed"]},"SupportedLocales":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"]},"Pagination":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display."}}}},"responses":{"Error":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"message":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true}}}}}}}},"paths":{"/workspaces/{workspaceId}/transcriptions":{"get":{"summary":"List transcriptions","description":"List transcriptions","operationId":"listTranscription","tags":["voice-transcriptions"],"parameters":[{"$ref":"#/components/parameters/queryLimit"},{"$ref":"#/components/parameters/queryCursor"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TranscriptionsList"},{"$ref":"#/components/schemas/Pagination"}]}}}},"404":{"$ref":"#/components/responses/Error"}}}}}}
```

{% tabs %}
{% tab title="Request" %}

```
curl "/workspaces/{workpaceId}/transcriptions" \
     -H 'Authorization: AccessKey YOUR_SECRET_TOKEN'
```

{% endtab %}

{% tab title="Response" %}

```
{
  "results": [
    {
      "id": "7f1e9ce1-95db-4a39-80f4-9bde69908c53",
      "recordingId": "5b74ee9e-9d45-473a-82cd-f1f7feea6bbd",
      "status": "available",
      "stereo": false,
      "locale": "en-US",
      "createdAt": "2023-10-23T15:55:38.888Z",
      "updatedAt": "2023-10-23T15:55:47.439Z"
    },
    {
      "id": "ac5fb7ec-625f-48f1-ae4a-ccee9cc4be93",
      "recordingId": "6b0ea138-7f07-4c10-bcf2-d2522a481059",
      "status": "available",
      "stereo": false,
      "locale": "en-US",
      "createdAt": "2023-10-23T15:52:21.928Z",
      "updatedAt": "2023-10-23T15:52:30.849Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/voice-api/transcriptions-api/list-transcriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
